Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.http
Class SimpleAxisWorker

    java.lang.Object
      |
      +--org.apache.axis.transport.http.SimpleAxisWorker

All Implemented Interfaces:
  java.lang.Runnable

public class SimpleAxisWorker
extends java.lang.Object
implements java.lang.Runnable

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`SimpleAxisWorker(SimpleAxisServer server, java.net.Socket socket)`

Method Summary
`static java.lang.String` | `getLocalHost()` One method for all host name lookups.
`boolean` | `matches(byte[] buf, byte[] target)` does tolower[buf] match the target byte array, up to the target's length?
`boolean` | `matches(byte[] buf, int bufIdx, byte[] target)` Case-insensitive match of a target byte [] to a source byte [], starting from a particular offset into the source.
`void` | `run()` The main workhorse method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### SimpleAxisWorker

    public SimpleAxisWorker(SimpleAxisServer server,
                            java.net.Socket socket)

Method Detail

### run

    public void run()

  The main workhorse method.
  Specified by:
    `run` in interface `java.lang.Runnable`

### matches

    public boolean matches(byte[] buf,
                           byte[] target)

  does tolower[buf] match the target byte array, up to the target's length?

### matches

    public boolean matches(byte[] buf,
                           int bufIdx,
                           byte[] target)

  Case-insensitive match of a target byte [] to a source byte [], starting from a particular offset into the source.

### getLocalHost

    public static java.lang.String getLocalHost()

  One method for all host name lookups.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.